#include "syscalls.h"

#ifdef __x86_64__
    #define SYSCALL_READ 0
    #define SYSCALL_WRITE 1
    #define SYSCALL_OPEN 2
    #define SYSCALL_CLOSE 3
#else
    #error Unsupported architecture
#endif

int open(const char* path, int flags, int mode) {
    return __syscall(SYSCALL_OPEN, (size_t) path, (size_t) flags, (size_t) mode,
                     0);
}
int close(int fd) {
    return __syscall(SYSCALL_CLOSE, (size_t) fd, 0, 0, 0);
}
