#! /usr/bin/env bash


cd "$(dirname "$0")" &&
(
    echo TEST: fopen_fail
    gcc -nostdlib -O0 -I ../../include -o fopen_fail.test fopen_fail.c ../libc.a &&
    ./fopen_fail.test || ( echo ERROR; exit 1)
) &&
(
    echo TEST: fopen_success
    gcc -nostdlib -O0 -I ../../include -o fopen_success.test fopen_success.c ../libc.a &&
    ./fopen_success.test || ( echo ERROR; exit 1)
)
